<?php
include('include/header.php');
include('include/conn.php');
error_reporting(E_ALL);
ini_set('display_errors', 1);

$admin_name = 'Unknown Admin';

if (isset($_SESSION['admin_id'])) {
    $stmt = $conn->prepare("SELECT `Admin_Name` FROM `admin_login` WHERE `Admin_ID` = ?");
    $stmt->bind_param("i", $_SESSION['admin_id']); // assuming Admin_ID is an integer
    $stmt->execute();
    $result = $stmt->get_result();
    
    if ($result && $result->num_rows > 0) {
        $row = $result->fetch_assoc();
        $admin_name = $row['Admin_Name'];
    }
    
    $stmt->close();
}

?>

<link href="https://cdn.datatables.net/1.12.1/css/jquery.dataTables.min.css" rel="stylesheet" type="text/css">
<link href="https://cdn.datatables.net/buttons/2.2.3/css/buttons.dataTables.min.css" rel="stylesheet" type="text/css">

<style type="text/css">
    .dt-buttons {
        width: 50%;
    }
</style>

<!-- begin MAIN PAGE CONTENT -->
<div id="page-wrapper" style="min-height:142vh;">
    <div class="page-content">
        <!-- begin PAGE TITLE ROW -->
        <div class="row">
            <div class="col-lg-12">
                <div class="page-title">
                    <h1>Add New Articles</h1>
                </div>
            </div>

            <div class="col-md-12">
                <form action="./actions/insert_article.php" method="post" enctype="multipart/form-data">
                    <div class="col-md-10">
                        <div class="form-group">
                            <label for="art_title" class="">Article Title</label>
                            <input type="text" name="art_title" class="form-control" id="art_title">
                        </div>
                    </div><br>
                    <div class="col-md-10">
                        <div class="form-group">
                            <label for="art_sub_title" class="">Sub Title</label>
                            <input type="text" name="art_sub_title" class="form-control" id="art_sub_title">
                        </div>
                    </div><br>
                    <div class="col-md-10">
                        <div class="form-group">
                            <label for="author_name" class="">Author</label>
                            <input type="text" name="author_name" class="form-control" value="<?=$admin_name?>" id="author_name">
                            <input type="hidden" name="author_id" value="<?=$_SESSION['admin_id']?>" class="form-control" id="author_name">
                        </div>
                    </div><br>
                    <div class="col-md-10">
                        <div class="form-group">
                            <label for="img_alp" class="">Article Image</label>
                            <input type="file" name="article_image" class="form-control" id="article_image" required>
                        </div>
                    </div><br>
                    <div class="col-md-10">
                        <div class="form-group">
                            <label for="index_table" class="">Introduction</label>
                            <!-- <input type="text" name="table_contents[]" class="form-control" id="index_table"> -->
                            <textarea name="intro" id="intro" class="form-control"></textarea>
                        </div>
                    </div><br>
                    <div class="col-md-10">
                        <div class="form-group">
                            <label for="index_table" class="">Conclusion</label>
                            <!-- <input type="text" name="table_contents[]" class="form-control" id="index_table"> -->
                            <textarea name="conclusion" id="intro" class="form-control"></textarea>
                        </div>
                    </div><br>
                    <div class="col-md-10">
                        <div class="form-group">
                            <label for="index_table" class="">Heading</label>
                            <input type="text" name="index_table[]" class="form-control" id="index_table">
                        </div>
                    </div><br>
                    <div class="col-md-10">
                        <div class="form-group">
                            <label for="index_table" class=""> Contents</label>
                            <!-- <input type="text" name="table_contents[]" class="form-control" id="index_table"> -->
                            <textarea name="table_contents[]" id="table_contents" class="form-control"></textarea>
                        </div>
                    </div><br>
                    <div class="col-md-12" id="dynamic-fields">
                        <!-- Additional fields will be added here -->
                        <div class="form-group" id="items">

                        </div>
                    </div>
                    <div class="col-md-10">
                        <button id="add" class="btn btn-warning text-white" type="button">Add <i class='fa fa-solid fa-plus'></i></button>
                    </div><br>
                        
                    <div class="col-md-12" style="margin: 20px;">
                        <input type="submit" name="article_submit" value="Submit" class="btn btn-success text-white" style="width: 80%;">
                    </div>
                </form>
            </div>
        </div>
        <!-- /.col-lg-12 -->
    </div>
    <!-- /.row -->
</div>
<!-- /.page-content -->
</div>
<!-- /#page-wrapper -->

<!-- begin FOOTER -->
<?php include('include/footer.php'); ?>
<!-- end FOOTER -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.2.3/js/dataTables.buttons.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.2.3/js/buttons.html5.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.2.3/js/buttons.print.min.js"></script>
<script src="https://cdn.datatables.net/buttons/2.2.3/js/buttons.colVis.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>

<script>
    $(document).ready(function() {
        var table = $('#data_table').DataTable({
            dom: 'Bfrtip',
            buttons: [{
                    extend: 'copy',
                    className: 'btn btn-primary',
                    text: 'Copy'
                },
                {
                    extend: 'csv',
                    className: 'btn btn-primary',
                    text: 'CSV'
                },
                {
                    extend: 'excel',
                    className: 'btn btn-primary',
                    text: 'Excel'
                },
                {
                    extend: 'pdf',
                    className: 'btn btn-primary',
                    text: 'PDF'
                },
                {
                    extend: 'print',
                    className: 'btn btn-primary',
                    text: 'Print'
                }
            ]
        });

        // Date Filter functionality
        $('#from_date, #to_date').on('change', function() {
            var from_date = $('#from_date').val();
            var to_date = $('#to_date').val();

            // Update the export button link with date filter query parameters
            var exportUrl = 'export_excel.php';
            if (from_date) {
                exportUrl += '?from_date=' + from_date;
            }
            if (to_date) {
                exportUrl += (exportUrl.includes('?') ? '&' : '?') + 'to_date=' + to_date;
            }
            $('#export_button a').attr('href', exportUrl);

            // Filter the table based on the date range
            table.rows().every(function() {
                var row = this.node();
                var row_date = $(row).data('date');
                var is_valid = true;

                if (from_date && new Date(row_date) < new Date(from_date)) {
                    is_valid = false;
                }

                if (to_date && new Date(row_date) > new Date(to_date)) {
                    is_valid = false;
                }

                if (is_valid) {
                    $(row).show();
                } else {
                    $(row).hide();
                }
            });
        });
    });
</script>

<script src="https://cdn.ckeditor.com/4.16.0/standard/ckeditor.js"></script>

<script>
    $("#add").click(function(e) {
        $("#dynamic-fields").fadeIn("1500");

        // Show the delete button
        $(".delete").fadeIn("1500");

        // Append a new row of code to the "#items" div
        var newIndex = $(".add_index").length + 1;

        $("#items").append(`
            <div class="add_index">
                <div class='row'>
                    <div class="form-group col-md-10">
                        <label for="index_table${newIndex}" class="">Heading</label>
                        <input type="text" name="index_table[]" class="form-control" id="index_table${newIndex}">
                    </div>
                    <div class="col-md-1">
                        <div class="form-group">
                            <span class='btn btn-primary mt-4 text-white delete'><i class='fa fa-solid fa-minus'></i></span>
                        </div>
                    </div>
                </div>
                <br>
                <div class="form-group col-md-10">
                    <label for="table_contents${newIndex}" class="">Contents</label>
                    <textarea name="table_contents[]" id="table_contents${newIndex}" class="form-control"></textarea>
                </div>
                <br>
            </div>`);

        // Initialize CKEditor for the newly added textarea
        CKEDITOR.replace(`table_contents${newIndex}`);

        $("body").on("click", ".delete", function(e) {
            // Remove the associated field when the delete button is clicked
            $(this).closest(".add_index").remove();
        });
    });
</script>
<script>
    // CKEDITOR.replace( 'term_title' );
    CKEDITOR.replace('intro');
</script>
<script>
    // CKEDITOR.replace( 'term_title' );
    CKEDITOR.replace('conclusion');
</script>
<script>
    // CKEDITOR.replace( 'term_title' );
    CKEDITOR.replace('table_contents[]');
</script>